ScpFromMessage (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.ssh.ScpFromMessage,ScpFromMessage class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.ssh
Class ScpFromMessage

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.optional.ssh.AbstractSshMessage
            |
            +--org.apache.tools.ant.taskdefs.optional.ssh.ScpFromMessage

public class ScpFromMessage
extends AbstractSshMessage

Constructor Summary
`ScpFromMessage(boolean verbose, com.jcraft.jsch.Session session, java.lang.String aRemoteFile, java.io.File aLocalFile, boolean recursive)`
`ScpFromMessage(com.jcraft.jsch.Session session, java.lang.String aRemoteFile, java.io.File aLocalFile, boolean recursive)`

Method Summary
`void` | `execute()`

Methods inherited from class org.apache.tools.ant.taskdefs.optional.ssh.AbstractSshMessage
`getVerbose, log, logStats, openExecChannel, sendAck, setLogListener, trackProgress, waitForAck`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScpFromMessage

    public ScpFromMessage(boolean verbose,
                          com.jcraft.jsch.Session session,
                          java.lang.String aRemoteFile,
                          java.io.File aLocalFile,
                          boolean recursive)

Since:
  Ant 1.6.2

### ScpFromMessage

    public ScpFromMessage(com.jcraft.jsch.Session session,
                          java.lang.String aRemoteFile,
                          java.io.File aLocalFile,
                          boolean recursive)

Method Detail

### execute

    public void execute()
                 throws java.io.IOException,
                        com.jcraft.jsch.JSchException

  Specified by:
    `execute` in class `AbstractSshMessage`
    `java.io.IOException`
    `com.jcraft.jsch.JSchException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.